AutoCAD Inventor :: Hiding Features In One View Of IDW
Jul 17, 2013
I am trying to hide an extruded cut in one view of my .idw. I have tried supressing in one view but this does not work. I need to show a before and after of this cut in the same model. I can not make two models because this is a controlled document.
I am making a multiview drawing with isometric of a certain sheet metal part. Due to manufacturing reasons, they have to make the part longer than necessary to get a bend in it then I will have them shear off the extra. Is there a way I can show the multiview and flat pattern WITH the extra material and show the isometric WITHOUT that extra? In the model I remove the excess with a cut but I don't know how to suppress a feature for one view and not another.
I'd like to add a dimension from a feature in a detail view to a feature outside the view, exactly like the dimension circled in red below. I cannot find any information on how to do this, but I suspect it is pretty easy!
When I create a section view in the idw, hidden lines are visible in the cutting part ! How disable these hidden lines and show only the hidden features ?
When you have a part with a thread feature, the default setting should show the thread feature in the drawing view...rather than making the user right click the view and select "Display Thread Feature". I don't understand why this doesn't show up in the drawing automatically...it is, after all, a feature on the part.
I have created a part with multi bodies (concrete block with reo bar), in the drawing I want a view that shows just the reo bar - concrete hidden. Can this be done?
I am working on detailing an assembly that requires two parts to be bolted together and then have a hole bored through both parts. I want to show the assembly without the bore and then with the bore. I do not want to have to create a derived part. There should be a way of toggling this extrusion in the assembly view, but I have not yet found it.
(Image attached). I am using Inventor 2013 and Visual Basic 2010 Express. I created a sketch within one of my views on my .idw. I would like to turn this sketch on or off based on the input from a variable that is read elsewhere. I have used the following code from the help file with no luck so far.
Public Sub SketchEdit() Dim oDrawDoc As DrawingDocument oDrawDoc = _invApp.ActiveDocument ' Determine if there are any sheet overlay sketches. Dim oSketches As DrawingSketches oSketches = oDrawDoc.ActiveSheet.Sketches If oSketches.Count = 0 Then Exit Sub End If ' Set a reference to the first sketch. Dim oSketch As DrawingSketch oSketch = oSketches.Item(4) oSketch.Edit() If vValue_Closer = "" Then oSketch.LineWeight = 0 Else oSketch.LineWeight = 0.007 End If ' Return from edit mode. oSketch.ExitEdit() End Sub
The code errors out on the line 'osketch = osketches.item(4)'. I have tried using a number like that, and I have also tried using the actual name of the sketch. Neither works.
oSketch = oSketches.Item("Closer_Reinf")
what to edit here to get it to look at my Closer_Reinf sketch to hide it/unhide it ?
I want to hide some drawingcurve in my assembly drawingview,but can't make it.
My code is as follows:
Public Sub HideDrawingcurves() Dim oDoc As DrawingDocument Set oDoc = ThisApplication.ActiveDocument Dim oSheet As Sheet Set oSheet = oDoc.ActiveSheet Dim oDrawingCurve As DrawingCurve Set oDrawingCurve = oDoc.SelectSet.Item(1).Parent oDrawingCurve.Visible = False End Sub
I'm reminded that there is no such method as the bolded .How to hide or delete drawingcurves
I'm writing code to split long part list in new sheets. Infact it's finished but very slow. Because each time I hide the line part list start to refresh itself...
I tryed to use
oDoc.DrawingSettings.DeferUpdates = True
But in this case I can only see empty part list on each page?!...
I just want to speed up process and I want to refresh part list view after than hiding process finished completely...
when in simulation, if you suppress a feature is it totally taken out of the simulations workings?
I.e. if I was working on a project like some weighing scales and I had a load of objects on the scales and I then suppressed some of the objects, will the scales rise up a little to counteract the reduced weight?
I am working on a standard part that has different configurations depending on user inputs into a GUI. Once the user enters all the required parameters, the part is in its final form with all unnecessary features suppressed. I am looking for a way to automate the delete of the suppressed features using a rule and i Logic before the user saves the file.
The main reason for doing this is to reduce the file size of the part once it is saved because this same template will be used for hundreds of parts and I don't want to waste unnecessary storage space on suppressed features.
Inventor 2010 / I'm finding myself scrolling up and down the browser bar quite a lot to get to the Solid Bodies folder for example, and I was wondering if it was possible to group features into folders or something to make the journey quicker, with the benefit of also being able to just organize things a bit better.
I am trying to make a way that suppress the flange features of all the panels that will be insert in the assembly so i can suppress all the features at ones in a assembly and don't have to do that for each panel separately.
I have a assembly with parameters and i have a part with no geometry but have linked the parameters from the assembly. In my panel part i link the parameters to the part with no geometry.
When i use the parameter in the assembly to suppress the flanges that works the way i want it. But when i insert the panel part into that assembly it doesnot work.
I am trying to create an assembly. I want to copy the small threaded holes and position of the holes from the face of the large part and copy them to the circular part.
I want to establish a relationship so if the hole positions change on the larger part they will also change on the attached circular part.
I have been given the task of importing and editing an IGS sheet metal part. cannot get a feature tree.
Its a pretty basic sheet metal part just need to add few flanges, change hole/slot size. Its for a college project so I have to do it rather than just redraw the thing. I would also prefer to use inventor than solidworks (if I still have it on my laptop...).
Using Inventor 2014 for some very simple (just a few component) models. When I use Studio to render an image, two objects are shown with a "cross" on them. The parts are nothing but extruded circles--nothing to them, so it's not clear to me why there are lines on their surface.
Is there a way to "skip" features i'm creating a pattern by?Meaning, similar to this option in Proe and Solidworks, is it possible to choose some of the holes i'm copying, so they won't be created?
In the drawing the panel is detailed to show hole locations and sizes on one sheet and in another view @ 1:1 the silkscreen is shown.
The silkscreen is a feature on the panel, text either embossed or extruded .005" outward. The feature is colored (filled).
On my drawing all the silk screens show up like un-filled fonts. This really bothers some people and my task is to fill the fonts.
Also i need to get the silkscreen by itself and (suppress/invisible) remove the other features from the view.
Suppress will not work as the feature i am trying to show will also be suppressed. Visibility of features is not an option.
Q. HOW CAN I GET THE FEATURE SEGREGATED AND SOLID IN MY DRAWING? but still a feature of the part. i.e. i don't want to create an assembly with a panel and a silkscreen.
How do i suppress features in a view on the drawing?
I am using the Student version of Autodesk inventor 2013.I was able to use the simulation, stress analysis features for a period of 10 days from the day of installation but its not working now.I have tried reinstallation also. I am using a registered version only.
The small cylinder was made first, then projected it to a sketch, made offset, and made the big cylinder, but i want to leave only the big cylinder alone. i want to suppress the small cylinder, but when i suppress the samll one both get suppressed.
How can i break this link, which was made by the projected geometry?
Even when i select the projected circle, right click and select Break Link, they still behave the same.